Bug 1004794 - numerous fd's opened on samba-gluster log file by smbd process
numerous fd's opened on samba-gluster log file by smbd process
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: RHGS 2.1.2
Assigned To: Poornima G
surabhi
: ZStream
Depends On:
Blocks: 1030228
  Show dependency treegraph
 
Reported: 2013-09-05 09:51 EDT by spandura
Modified: 2015-05-13 12:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.4.0.44.1u2rhs
Doc Type: Bug Fix
Doc Text:
Previously, when an application linked with gfapi closes the connection with a Red Hat Storage volume, the file descriptor of the Gluster client log file does not close. As a consequence there were stale file descriptors corresponding to the Gluster client log file. With this fix, the file descriptors are closed during a Gluster client disconnect.
Story Points: ---
Clone Of:
: 1030228 (view as bug list)
Environment:
Last Closed: 2014-02-25 02:37:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0208 normal SHIPPED_LIVE Red Hat Storage 2.1 enhancement and bug fix update #2 2014-02-25 07:20:30 EST

  None (edit)
Description spandura 2013-09-05 09:51:29 EDT
Description of problem:
==========================
Observed there were 255 fd's open on the samba-gluster log file from one smbd process. 

root@king [Sep-05-2013-11:34:33] >ps -ef | grep smbd
root      5351     1  0 Sep04 ?        00:00:00 smbd -D
root      5354  5351  0 Sep04 ?        00:00:00 smbd -D
root      5362  5351  0 Sep04 ?        00:08:11 smbd -D
root      7365  5351  0 Sep04 ?        00:00:23 smbd -D
root     22084 17542  0 11:34 pts/1    00:00:00 grep smbd

root@king [Sep-05-2013-11:42:51] >ls -lartc --full-time /proc/5362/fd | grep gluster  
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 97 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 95 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 91 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 88 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 86 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 83 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 80 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 76 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 74 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 71 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 68 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 64 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 61 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 58 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 55 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 52 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 49 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 473 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 470 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 467 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 464 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 461 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 46 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 458 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 455 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 452 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 449 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 445 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 443 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 440 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 437 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 434 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 431 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 43 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 428 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 425 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 422 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 419 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 416 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 413 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 410 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 407 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 405 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 401 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 40 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 398 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 395 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 391 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 388 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 386 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 382 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 380 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 377 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 375 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 371 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 37 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 368 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 365 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 363 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 358 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 356 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 353 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 350 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 347 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 343 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 341 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 338 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 335 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 332 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 330 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 33 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 324 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 323 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 321 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 317 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 315 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 311 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 308 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 306 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 302 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 298 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 296 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 293 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 291 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 288 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 284 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 281 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 278 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 275 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 272 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 269 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 266 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 265 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 260 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 257 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 254 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 250 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 249 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 245 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 242 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 239 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 236 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 233 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 229 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 228 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 223 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 221 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 218 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 215 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 212 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 208 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 206 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 203 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 200 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 198 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 194 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 191 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 188 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 184 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 182 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 179 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 176 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 172 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 170 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 167 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 164 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 161 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 158 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 155 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 152 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 150 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 146 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 142 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 140 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 137 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 134 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 131 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 128 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 124 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 121 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 119 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 116 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 113 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 110 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 106 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 104 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.068760415 +0000 101 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 797 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 794 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 791 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 788 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 785 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 781 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 780 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 776 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 773 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 770 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 766 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 764 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 762 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 758 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 755 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 752 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 749 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 747 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 743 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 742 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 737 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 734 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 732 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 729 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 724 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 722 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 719 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 716 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 713 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 710 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 707 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 704 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 701 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 698 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 695 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 692 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 690 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 685 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 683 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 680 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 677 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 674 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 670 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 667 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 665 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 662 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 659 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 656 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 653 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 650 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 648 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 644 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 642 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 638 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 635 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 632 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 630 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 628 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 623 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 620 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 619 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 615 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 612 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 608 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 605 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 601 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 599 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 595 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 593 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 592 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 587 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 584 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 581 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 578 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 575 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 572 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 569 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 567 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 562 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 560 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 557 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 554 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 551 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 548 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 544 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 542 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 539 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 535 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 533 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 530 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 527 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 524 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 521 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 519 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 515 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 512 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 509 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 506 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 503 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 500 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 497 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 494 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 491 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 488 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 486 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 482 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 479 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
l-wx------ 1 root root 64 2013-09-05 11:34:14.069760427 +0000 476 -> /var/log/samba/glusterfs-vol_dis_1_rep_2.log
root@king [Sep-05-2013-11:42:53] >
root@king [Sep-05-2013-11:42:55] >ls -lartc --full-time /proc/5362/fd | grep gluster  | wc
    255    2805   29048


Version-Release number of selected component (if applicable):
============================================================
glusterfs 3.4.0.30rhs built on Aug 30 2013 08:15:37

How reproducible:
===================
Seen this issue only once. But unable to recreate this issue. We don't have a specific test case to recreate this. 

Volume operations performed:
==========================
1. volume set operations. 
2. add-brick, rebalance, self-heal 
3. quota enable, disable
4. glusterd restarts
5. smbd restarts

Client side IO's:-
====================
1. file creation, deletion, hardlinks, kernel compilation from fuse, nfs and cifs mount. 

2. accessing files from windows machine.changing file permissions . 

Multiple fd's on log file is observed for smbd process serving windows client.
Comment 3 Raghavendra Talur 2013-11-26 01:36:55 EST
patch posted for review at
https://code.engineering.redhat.com/gerrit/#/c/16218/
Comment 4 surabhi 2013-12-04 01:50:16 EST
Verified the bug in following version:
[root@dhcp159-237 samba]# rpm -qa | grep glusterfs
samba-glusterfs-3.6.9-160.7.el6rhs.x86_64
glusterfs-api-devel-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-geo-replication-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-debuginfo-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-fuse-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-libs-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-server-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-api-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-devel-3.4.0.44.1u2rhs-1.el6rhs.x86_64
glusterfs-rdma-3.4.0.44.1u2rhs-1.el6rhs.x86_64

Tried running I/O's from client,change of graph,changing volume set options,add-brick, remove-brick. fd open issue is not seen hence moving the bug to verified.
Comment 5 Pavithra 2014-01-03 06:02:31 EST
Can you please verify the doc text for technical accuracy?
Comment 6 Poornima G 2014-01-17 05:11:31 EST
Doc text looks fine.
Comment 8 errata-xmlrpc 2014-02-25 02:37:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0208.html

Note You need to log in before you can comment on or make changes to this bug.